"""
carnet.py  Version 4
Gestion de fiches de contacts avec
prenom, nom, naissance, courriel (email)
Brendan Scott VF par OE
"""

### Section Classes
class CarnetAdr(object):
    """ Conteneur de fiches """
    pass

class FicheAdr(object):
    """ Fiche d'un contact.
    """
    #AJOUT Methode
    def __init__(self, prenom=None, nomfami=None,
                 datenaiss=None, courriel=None):
        """ Initialise les 4 attributs. Le format de
        datenaiss est AAAA/MM/JJ
        """
        self.prenom    = prenom
        self.nomfami   = nomfami
        self.datenaiss = datenaiss
        self.courriel  = courriel

    def __repr__(self):
        """ Produit une chaine selon l'objet
        FicheAdr fourni en argument self.
        """
        patron = "FicheAdr(prenom ='%s', "+\
             "nomfami ='%s',"+\
             "datenaiss ='%s', "+\
             "courriel ='%s')"
        return patron%(self.prenom,self.nomfami,
                       self.datenaiss,self.courriel)

### Section Fonctions

### Section principale main
if __name__ == "__main__":
    carnet_adr = CarnetAdr()
    contact1 = FicheAdr("Eric", "IDLE", "2001/06/12", None)
    print(contact1)
