"""
carnet.py  Version 6 (avec fichier)
Gestion de fiches de contacts avec
prenom, nom, naissance, courriel (email)
Brendan Scott 2022 VF par OE
"""

### Section Imports
import pickle as saumure              #AJOUT UP 2022

### Section Constantes
NOMFIC_SAUVE = "carnet.pickle"        #AJOUT

### Section Classes
class CarnetAdr(object):
    """ Conteneur de fiches """
    #AJOUT 2 methodes
    def __init__(self):
        """ Cree l'attribut gens comme liste vide.
        """
        self.gens = []

    def ajouter_fiche(self, fiche_nouvo):
        """ Ajoute une fiche dans gens.
        """
        self.gens.append(fiche_nouvo)
    #AJOUT methode sauver()
    def sauver(self):
        with open(NOMFIC_SAUVE,'wb') as ficow:
            saumure.dump(self, ficow)

class FicheAdr(object):
    """ Fiche d'un contact.
    """
    def __init__(self, prenom=None, nomfami=None,
                 datenaiss=None, courriel=None):
        """Initialise les 4 attributs.
        """
        self.prenom    = prenom
        self.nomfami   = nomfami
        self.datenaiss = datenaiss
        self.courriel  = courriel

    def __repr__(self):
        """ Produit une chaine selon l'objet
        FicheAdr fourni en argument self.
        """
        patron = "FicheAdr(prenom ='%s', "+\
             "nomfami ='%s',"+\
             "datenaiss ='%s', "+\
             "courriel ='%s')"
        return patron%(self.prenom,self.nomfami,
                       self.datenaiss,self.courriel)

### Section Fonctions

### Section principale main
if __name__ == "__main__":
    carnet_adr = CarnetAdr()
    contact1 = FicheAdr("Eric", "IDLE", "2001/06/12", None)
    print(contact1)
    carnet_adr.ajouter_fiche(contact1)
    print(carnet_adr.gens)  
    carnet_adr.sauver()                    #AJOUT
