"""
tablesmul.py Version 4
Les tables de multiplication
Brendan Scott VF par OE
"""

#### Section des imports
import random

#### Section des constantes
Q_TEST = (4, 6)
PATRON_Q = "Combien font %s x %s ? "
MINI  = 1
MAXI  = 12
Q_MAX = 3        #AJOUT V4 (modifier pour tester)

#### Section des fonctions
def creer_listeq(nmin = MINI, nmax = MAXI, hasard=True): #MODIF V3
    """ Produit une liste de questions au format (x,y)
    avec x et y entre MINI et MAXI (compris)
    """
    tempo = [(x+1, y+1) for x in range(nmin-1, nmax)
                        for y in range(nmin-1, nmax)]
    if hasard:
        random.shuffle(tempo)
    return(tempo)

def faire_test():                  #AJOUT V4
    """ Lance une passe de test """
    liste_q = creer_listeq()
    score = 0
    for i, question in enumerate(liste_q):
        if i >= Q_MAX:
            break
        invite = PATRON_Q%question
        repon_ok = question[0]*question[1]
        # Les indices commencent a 0
        repon_saisie = input(invite)

        if int(repon_saisie) == repon_ok:
            print("Correct !")
            score = score+1
        else:
            print("Incorrect, il fallait trouver %s."%(repon_ok))

    print("Nombre de calculs corrects : %s"%score)

#### Section principale (et de test)
# Onze lignes supprimees
faire_test()
